
I had been very sick with pneumonia. The night before my experience, I would wake up telling myself to breathe. This happened several times that night. The next night I had no control at all over waking myself up when I stopped breathing. I simply stopped breathing and immediately felt a tingling, electrifying sensation that started at the top of my head and traveled slowly down my entire body to my toes.

Once that stopped, I realized I was hovering just above my body, facing the ceiling. The room was filled with a soft, glowing light. Then the light fixture in the ceiling lit up. I was very curious about this and wanted to float up and look at it. After I floated to the ceiling and looked at the light fixture, I turned around and looked at my body. I really felt no emotion about my body. I was actually very calm and felt extremely peaceful with all that was happening. It was at this point I sensed a being in the room with me. I could not see a male presence. He spoke to me through my mind and asked if I would like to stay or go. I replied to him that I was only a kid and I still wanted to stay. Once that was said I went straight back into my body, and I do not remember any strange sensation as I did so. I only remember lying in the bed with a peaceful feeling for a few minutes and went back to sleep.
